<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Product;
use App\Models\Category;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
       // Get product statistics
    $totalProducts = Product::count();
    $totalCategories = Category::count();

    // Define target categories (match with your actual names or IDs)
    $tabletCategoryId = Category::where('name', 'Tablets')->value('id');
    $syrupCategoryId = Category::where('name', 'Syrups')->value('id');
    $capsuleCategoryId = Category::where('name', 'Capsules')->value('id');

    // Count by category
    $tabletProducts = Product::where('type', 'Tablets')->count();
    $syrupProducts = Product::where('type', 'Syrups')->count();
    $capsuleProducts = Product::where('type', 'Capsules')->count();

    // Count products not in those three
    $otherProducts = Product::whereNotIn('type', [
        'Tablets',
        'Syrups',
        'Capsules',
    ])->count();

    // Get recent products with category
    $recentProducts = Product::with('category')
        ->orderBy('created_at', 'desc')
        ->take(5)
        ->get();

    return view('admin.dashboard', compact(
        'totalProducts',
        'totalCategories',
        'recentProducts',
        'tabletProducts',
        'syrupProducts',
        'capsuleProducts',
        'otherProducts'
    ));
    }
}
