<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'type',
        'packaging',
        'composition',
        'usages',
        'mrp',
        'image_url',
        'meta_title',
        'meta_description',
        'slug'
    ];

    protected $casts = [
        'mrp' => 'decimal:2'
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }
}
