<?php

namespace Database\Seeders;

use App\Models\Category;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $categories = [
            [
                'name' => 'Medicine',
                'description' => 'Prescription and over-the-counter medications',
                'is_active' => true
            ],
            [
                'name' => 'Supplements',
                'description' => 'Vitamins, minerals, and dietary supplements',
                'is_active' => true
            ],
            [
                'name' => 'Medical Equipment',
                'description' => 'Medical devices and equipment',
                'is_active' => true
            ],
            [
                'name' => 'Personal Care',
                'description' => 'Personal hygiene and care products',
                'is_active' => true
            ],
            [
                'name' => 'First Aid',
                'description' => 'First aid supplies and emergency care products',
                'is_active' => true
            ]
        ];

        foreach ($categories as $category) {
            Category::create($category);
        }
    }
}
