@extends('layouts.app')

@section('title', 'Gallery - ADrive')

@section('content')
<section class="page_breadcrumbs ds color parallax section_padding_top_75 section_padding_bottom_75">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h2>Our Gallery</h2>
                <ol class="breadcrumb highlightlinks">
                    <li>
                        <a href="{{ url('/') }}">Home</a>
                    </li>
                    <li class="active">Gallery</li>
                </ol>
            </div>
        </div>
    </div>
</section>

<section class="ls section_padding_top_150 section_padding_bottom_150">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="filters isotope_filters text-center">
                    <a href="#" class="selected" data-filter="*">All</a>
                    <a href="#" data-filter=".facility">Facility</a>
                    <a href="#" data-filter=".products">Products</a>
                    <a href="#" data-filter=".events">Events</a>
                </div>

                <div class="isotope_container isotope row masonry-layout columns_margin_bottom_20">
                    <!-- Facility Images -->
                    <div class="isotope-item col-xs-6 col-sm-4 facility">
                        <div class="gallery-item">
                            <div class="vertical-item gallery-title-item">
                                <div class="item-media">
                                    <img src="{{ asset('images/gallery/01.jpg') }}" alt="Manufacturing Facility">
                                    <div class="media-links">
                                        <div class="links-wrap">
                                            <a class="p-view prettyPhoto" title="Manufacturing Facility" href="{{ asset('images/gallery/01.jpg') }}">
                                                <i class="fa fa-search"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="item-content">
                                    <h4>Manufacturing Facility</h4>
                                    <p class="text-center">State-of-the-art manufacturing unit</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Products Images -->
                    <div class="isotope-item col-xs-6 col-sm-4 products">
                        <div class="gallery-item">
                            <div class="vertical-item gallery-title-item">
                                <div class="item-media">
                                    <img src="{{ asset('images/gallery/02.jpg') }}" alt="Product Line">
                                    <div class="media-links">
                                        <div class="links-wrap">
                                            <a class="p-view prettyPhoto" title="Product Line" href="{{ asset('images/gallery/02.jpg') }}">
                                                <i class="fa fa-search"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="item-content">
                                    <h4>Product Line</h4>
                                    <p class="text-center">Our diverse range of products</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Events Images -->
                    <div class="isotope-item col-xs-6 col-sm-4 events">
                        <div class="gallery-item">
                            <div class="vertical-item gallery-title-item">
                                <div class="item-media">
                                    <img src="{{ asset('images/gallery/03.jpg') }}" alt="Company Event">
                                    <div class="media-links">
                                        <div class="links-wrap">
                                            <a class="p-view prettyPhoto" title="Company Event" href="{{ asset('images/gallery/03.jpg') }}">
                                                <i class="fa fa-search"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="item-content">
                                    <h4>Company Event</h4>
                                    <p class="text-center">Annual meeting and celebrations</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Add more gallery items as needed -->
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

@push('styles')
<link rel="stylesheet" href="{{ asset('css/prettyPhoto.css') }}">
@endpush

@push('scripts')
<script src="{{ asset('js/jquery.prettyPhoto.js') }}"></script>
<script src="{{ asset('js/isotope.pkgd.min.js') }}"></script>
<script>
    jQuery(document).ready(function() {
        // Initialize isotope
        var $container = jQuery('.isotope_container');
        $container.imagesLoaded(function() {
            $container.isotope({
                itemSelector: '.isotope-item',
                layoutMode: 'masonry'
            });
        });

        // Isotope filtering
        jQuery('.isotope_filters a').on('click', function(e) {
            e.preventDefault();
            var filterValue = jQuery(this).attr('data-filter');
            $container.isotope({ filter: filterValue });
            jQuery('.isotope_filters a').removeClass('selected');
            jQuery(this).addClass('selected');
        });

        // Initialize prettyPhoto
        jQuery("a[class^='prettyPhoto']").prettyPhoto({
            hook: 'class',
            theme: 'facebook'
        });
    });
</script>
@endpush 