@extends('layouts.app')

@section('content')
<section class="page_breadcrumbs ds color parallax section_padding_top_75 section_padding_bottom_75">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h2>{{ $product->title }}</h2>
                <ol class="breadcrumb highlightlinks">
                    <li>
                        <a href="{{ route('products') }}">Home</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.products.index') }}">Products</a>
                    </li>
                    <li class="active">{{ $product->title }}</li>
                </ol>
            </div>
        </div>
    </div>
</section>

<section class="ls section_padding_top_150 section_padding_bottom_150">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                @if($product->image_url)
                    <img src="{{ Storage::url($product->image_url) }}" alt="{{ $product->title }}" class="alignleft">
                @endif
                
                <h2 class="section_header">{{ $product->title }}</h2>
                
                <div class="product-details">
                    <p><strong>Type:</strong> {{ $product->type ?? 'N/A' }}</p>
                    <p><strong>Packaging:</strong> {{ $product->packaging ?? 'N/A' }}</p>
                    <p><strong>Composition:</strong> {{ $product->composition ?? 'N/A' }}</p>
                    <p><strong>Usages:</strong> {{ $product->usages ?? 'N/A' }}</p>
                    <p><strong>MRP:</strong> {{ $product->mrp ?? 'N/A' }}</p>
                    <p><strong>Category:</strong> {{ $product->category->name ?? 'N/A' }}</p>
                </div>

                <div class="inline-block topmargin_30">
                    <div class="mt-3">
                        <a href="{{ route('products') }}" class="btn btn-secondary">Back to Products</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection