@extends('layouts.app')

@section('title', 'Home - ADrive')

@section('content')

<section class="page_breadcrumbs ds color parallax section_padding_top_75 section_padding_bottom_75">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h2>Products</h2>
                <ol class="breadcrumb highlightlinks">
                    <li> <a href="./">
                            Home
                        </a> </li>
                    <li> <a href="#">Pages</a> </li>
                    <li class="active">Products</li>
                </ol>
            </div>
        </div>
    </div>
</section>
<section class="ls section_padding_top_50 section_padding_bottom_30">
    <div class="container">
        <div class="isotope_container isotope row masonry-layout columns_margin_bottom_20">
            @foreach($products as $product)
            <div class="isotope-item col-md-4 col-sm-6">
                <article class="vertical-item content-padding with_border rounded text-center">
                    <div class="item-media top_rounded overflow_hidden">
                        @if($product->image_url)
                            <img src="{{ asset($product->image_url) }}" alt="{{ $product->title }}">
                        @else
                            <img src="images/default-product.jpg" alt="Default Image">
                        @endif
                    </div>
                    <div class="item-content">
                        <h4><a href="{{ route('product.show', $product->id) }}">{{ $product->title }}</a></h4>
                        <p>{{ Str::limit($product->description, 150) }}</p>
                        <p class="topmargin_20">
                            <a href="{{ route('product.show', $product->id) }}" 
                               class="theme_button color2 inverse min_width_button">Read More</a>
                        </p>
                    </div>
                </article>
            </div>
            @endforeach
        </div>
    </div>
</section>

@endsection