<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\Admin\AuthController;
use App\Http\Controllers\Admin\CategoriesController;
use App\Http\Controllers\ShowProducts;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');

// });
Route::get('/', function () {
    return view('index');
})->name('home');


Route::get('/home', function () {
    return redirect()->route('dashboard');
});

Route::get('/product/{id}', [ShowProducts::class, 'show'])->name('product.show');
Route::get('/products', [ShowProducts::class, 'index'])->name('products');

Route::get('/about-us', function () {
    return view('about');
})->name('about');
Auth::routes();

// Admin Routes
Route::prefix('admin')->name('admin.')->group(function () {
    // Auth Routes
    Route::get('login', [AuthController::class, 'showLoginForm'])->name('login');
    Route::post('login', [AuthController::class, 'login'])->name('login.submit');
    Route::post('logout', [AuthController::class, 'logout'])->name('logout');

    // Protected Admin Routes
    Route::middleware(['auth:admin'])->group(function () {
        // Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
        // Route::get('/admindashboard', [DashboardController::class, 'adminproducts'])->name('admindashboard');
        Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
        Route::resource('products', ProductController::class);
        Route::resource('categories', CategoriesController::class);
    });

});
Route::get('/manufacturing', function () {
    return view('manufacture');
})->name('manufacturing');
// Gallery page route
Route::get('/gallery', function () {
    return view('gallery');
})->name('gallery');

Route::get('/contact', function () {
    return view('contact');
})->name('contact');

Route::get('/news-events', function () {
    return view('news-events');
})->name('news-events');
Route::get('/pcd-pharma-franchise', function () {
    return view('pcd-pharma-franchise');
})->name('pcd-pharma-franchise');