<?php $__env->startSection('title', 'Products'); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h1 class="h3 mb-0 text-gray-800">Products</h1>
        <a href="<?php echo e(route('admin.products.create')); ?>" class="btn btn-add">
            <i class="fas fa-plus"></i> Add New Product
        </a>
    </div>

    <?php if(session('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <div class="table-container">
        <div class="table-responsive">
        <table class="table">
                    <thead>
                            <tr>
                                <th>Image</th>
                                <th>Title</th>
                                <th>Type</th>
                                <th>Packaging</th>
                                <th>Composition</th>
                                <th>Usages</th>
                                <th>MRP</th>
                                <th>Meta Title</th>
                                <th>Meta Description</th>
                                <th>Slug</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                                                <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td>
                                    <?php if($product->image_url): ?>
                                        <img src="<?php echo e(asset('storage/' . $product->image_url)); ?>" alt="<?php echo e($product->title); ?>" class="product-image" style="max-width: 100px; height: auto;">
                                    <?php else: ?>
                                        <div class="no-image">No Image</div>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($product->title); ?></td>
                                <td>
                                    <span class="badge <?php echo e($product->type ? 'badge-primary' : 'badge-secondary'); ?>">
                                        <?php echo e($product->type ?? 'Not Set'); ?>

                                    </span>
                                </td>
                                <td><?php echo e($product->packaging ?? 'N/A'); ?></td>
                                <td><?php echo e(Str::limit($product->composition, 50)); ?></td>
                                <td><?php echo e(Str::limit($product->usages, 50)); ?></td>
                                <td>$<?php echo e(number_format($product->mrp, 2)); ?></td>
                                <td><?php echo e(Str::limit($product->meta_title, 50)); ?></td>
                                <td><?php echo e(Str::limit($product->meta_description, 50)); ?></td>
                                <td><?php echo e($product->slug); ?></td>
                                <td>
                                    <a href="<?php echo e(route('admin.products.edit', $product)); ?>" class="btn btn-edit">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <form action="<?php echo e(route('admin.products.destroy', $product)); ?>" method="POST" class="d-inline">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('DELETE'); ?>
                                        <button type="submit" class="btn btn-delete" onclick="return confirm('Are you sure?')">
                                            <i class="fas fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="11" class="text-center">No products found.</td>
                            </tr>
                            <?php endif; ?>
                        </tbody>

                    </table>
        </div>

        <div class="d-flex justify-content-center mt-4">
            <?php echo e($products->links()); ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\adrivepharma\resources\views/admin/products/index.blade.php ENDPATH**/ ?>